Package groovy.lang

# Class IncorrectClosureArgumentsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.IncorrectClosureArgumentsException

All Implemented Interfaces:
  `Serializable`

public class IncorrectClosureArgumentsException extends GroovyRuntimeException
An exception occurred when invoking a Closure with the wrong number and/or types of arguments

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getArguments()`
  `Closure`
  `getClosure()`
  `Class[]`
  `getExpected()`

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IncorrectClosureArgumentsException

    public IncorrectClosureArgumentsException(Closure closure, Object arguments, Class[] expected)

- ## Method Details

  - ### getArguments

    public Object getArguments()

  - ### getClosure

    public Closure getClosure()

  - ### getExpected

    public Class[] getExpected()